import React from 'react';
import { DevCycleNextOptions, DevCycleServerData } from '../common/types';
export type DevCycleClientContext = {
    serverDataPromise: Promise<DevCycleServerData>;
    clientSDKKey: string;
    enableStreaming: boolean;
    options: DevCycleNextOptions;
    userAgent?: string;
};
type DevCycleClientsideProviderProps = {
    context: DevCycleClientContext;
    children: React.ReactNode;
};
export declare const DevCycleClientsideProvider: ({ context, children, }: DevCycleClientsideProviderProps) => Promise<React.ReactElement>;
export {};
