import { getClient } from './requestContext';
export async function getVariableValue(key, defaultValue) {
    const client = getClient();
    if (!client) {
        console.error('React cache API is not working as expected. Please contact DevCycle support.');
        return defaultValue;
    }
    const variable = client.variable(key, defaultValue);
    return variable.value;
}
//# sourceMappingURL=getVariableValue.js.map