const getFetchUrl = (sdkKey, obfuscated) => `https://config-cdn.devcycle.com/config/v1/server/bootstrap/${obfuscated ? 'obfuscated/' : ''}${sdkKey}.json`;
export const fetchCDNConfig = async (sdkKey, options) => {
    return await fetch(getFetchUrl(sdkKey, !!options.enableObfuscation), 
    // only store for 60 seconds
    {
        next: {
            revalidate: 60,
            tags: [sdkKey],
        },
    });
};
//# sourceMappingURL=requests.js.map